# EmbedUI-Library v1.1.2


EmbedUI  is an open source Project, for enthusiasts to speed-up & visualize UI development using Embedded Hardware.

EmbedUI makes UI Development simpler & faster for Embedded Devices without the need of any additional display hardware. Utilizes your Laptop/PC Display Screen to generate the required UI for your application.


Check out full documentation on [https://embedui.github.io/documentation](https://embedui.github.io/documentation)

---

Inorder to get started using the library, you'll need to download the UI application from the app repo : [https://github.com/EmbedUI/EmbedUI-App](https://github.com/EmbedUI/EmbedUI-App)


## List of Supported Boards


Boards having atleast **4 kB** of SRAM are preferred for error-free operation. 


|Board  | Controller|     Supported      |   Notes    |
| :--------: |:-------------:|:-------------:| :---------:|
| ESP32 DevKit v1 | ESP32 | ✔️     |     - |
| NodeMCU | ESP8266|  ✔️    |    -   |
| Arduino Uno | Atmega328P |   ❓   |   To be Tested    |
| Arduino Nano | Atmega328P-AU |   ❓   |   To be Tested    |
| Arduino Mega | Atmega2560 |    ✔️   |  -   |
| Arduino MKR1000 | - |   ❓   |   To be Tested    |
| Arduino Zero | - |   ❓   |   To be Tested    |


More Boards to be added to the list soon.

---

## Examples Included in the Library

### 1) Getting Started

![image1](https://github.com/EmbedUI/EmbedUI.github.io/blob/main/img/gettingStartedDemo.png)


### 2) Weather Dashboard

![image2](https://github.com/EmbedUI/EmbedUI.github.io/blob/main/img/WeatherDashboard.jpg)

